/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<config.h>)
#  include <config.h>
#endif
#if __has_include(<controller.h>)
#  include <controller.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_francis()
{
    qmlRegisterModule("org.kde.francis", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Config>("org.kde.francis", 254);
    qmlRegisterTypesAndRevisions<Controller>("org.kde.francis", 254);
    QMetaType::fromType<KConfigSkeleton *>().id();
    QMetaType::fromType<KCoreConfigSkeleton *>().id();
    qmlRegisterEnum<KCoreConfigSkeleton::DisambiguateConstructor>("KCoreConfigSkeleton::DisambiguateConstructor");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.francis", 254, 254);
}

static const QQmlModuleRegistration orgkdefrancisRegistration("org.kde.francis", qml_register_types_org_kde_francis);
